{
  "name": "ai-live",
  "private": true,
  "version": "newui-0.0.1",
  "type": "module",
  "description": "数字人直播间",
  "scripts": {
    "dev": "vite --host",
    "dev-test": "vite --host --mode=test",
    "build": "tsc && vite build",
    "build-test": "tsc && vite build --mode=test",
    "build-relative": "tsc && vite build --mode=relative",
    "build-prod": "tsc && vite build --mode=production",
    "clean-build": "rm -rf dist",
    "lint": "eslint . --ext ts,tsx --report-unused-disable-directives --max-warnings 0",
    "preview": "vite preview"
  },
  "dependencies": {
    "@dnd-kit/core": "^6.1.0",
    "@dnd-kit/modifiers": "^7.0.0",
    "@dnd-kit/sortable": "^8.0.0",
    "ahooks": "^3.8.1",
    "antd": "^5.22.5",
    "axios": "^1.7.7",
    "clsx": "^2.1.1",
    "dayjs": "^1.11.11",
    "file-saver": "^2.0.5",
    "flv.js": "^1.6.2",
    "jszip": "^3.10.1",
    "qs": "^6.12.1",
    "react": "^18.3.1",
    "react-dom": "^18.3.1",
    "react-player": "^2.16.0",
    "react-router-dom": "^6.28.0",
    "sass": "^1.81.0",
    "tcplayer.js": "^5.2.0",
    "zustand": "^5.0.2"
  },
  "devDependencies": {
    "@types/file-saver": "^2.0.7",
    "@types/lodash": "^4.17.1",
    "@types/node": "^20.12.11",
    "@types/qs": "^6.9.15",
    "@types/react": "^18.2.66",
    "@types/react-dom": "^18.2.22",
    "@typescript-eslint/eslint-plugin": "^7.2.0",
    "@typescript-eslint/parser": "^7.2.0",
    "@vitejs/plugin-react": "^4.2.1",
    "autoprefixer": "^10.4.19",
    "eslint": "^8.57.0",
    "eslint-plugin-react-hooks": "^4.6.0",
    "eslint-plugin-react-refresh": "^0.4.6",
    "postcss": "^8.4.40",
    "tailwindcss": "^3.4.7",
    "typescript": "^5.2.2",
    "vite": "^5.2.0"
  },
  "packageManager": "yarn@1.22.21+sha1.1959a18351b811cdeedbd484a8f86c3cc3bbaf72"
}
